<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_8ff442d955c119a5192572ab31" . "711818" => base64_decode("YXBwX3Blb3BsZQ=" . "="), "_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1z" . "Zw=="), "_678ed868ef6e35382774debbcc39414" . "c" => base64_decode("Y29tbW9uLmhlYWRl" . "ci5wZW9wbGU="), "_24e0e36600d6af774" . "06a44bb618a6253" => base64_decode("dXNlcg" . "=="));
use Claromentis\People\PeopleApplication as PeoplePeopleApplication;
use Claromentis\Search\ItemType;






class PeopleApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_24e0e36600d6af77406a44bb618a625" . "3"] => function () {
            return new ItemType\User();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_678ed868ef6e35382" . "774debbcc39414c"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8ff442d955c119a5" . "192572ab31711818"];
    }
    public function GetIcon() : string
    {
        return PeoplePeopleApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_24e0e36600d6af77" . "406a44bb618a6253"]];
    }
}